curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "animate-image",
"input": {
"model": "wan-2-2-image-to-video",
"image_url": "https://example.com/landscape.jpg",
"prompt": "Clouds moving slowly across the sky"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "animate-image",
"createdAt": "2024-01-15T10:30:00.000Z"
}
Animate still images into dynamic videos.
curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "animate-image",
"input": {
"model": "wan-2-2-image-to-video",
"image_url": "https://example.com/landscape.jpg",
"prompt": "Clouds moving slowly across the sky"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "animate-image",
"createdAt": "2024-01-15T10:30:00.000Z"
}
| Credits | 10 credits per second |
| Duration | 5 seconds |
| Tool | animate-image |
| Name | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | Your API key |
Content-Type | string | Yes | application/json |
| Parameter | Type | Required | Description |
|---|---|---|---|
tool | string | Yes | animate-image |
input.model | string | Yes | wan-2-2-image-to-video |
input.image_url | string | Yes | URL of the image to animate |
input.prompt | string | Yes | Description of the desired motion |
curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "animate-image",
"input": {
"model": "wan-2-2-image-to-video",
"image_url": "https://example.com/landscape.jpg",
"prompt": "Clouds moving slowly across the sky"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "animate-image",
"createdAt": "2024-01-15T10:30:00.000Z"
}